curl --request GET \
--url https://api.hubapi.com/cms/v3/blog-settings/settings/{blogId}/revisions \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"object": {
"absoluteUrl": "<string>",
"allowComments": true,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"language": "aa",
"listingPageId": "<string>",
"name": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publicTitle": "<string>",
"slug": "<string>",
"translatedFromId": "<string>",
"updated": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Get the list of blog revisions. Results can be limited and filtered by creation or updated date.
curl --request GET \
--url https://api.hubapi.com/cms/v3/blog-settings/settings/{blogId}/revisions \
--header 'Authorization: Bearer <token>'{
"results": [
{
"id": "<string>",
"object": {
"absoluteUrl": "<string>",
"allowComments": true,
"created": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"htmlTitle": "<string>",
"id": "<string>",
"language": "aa",
"listingPageId": "<string>",
"name": "<string>",
"publicAccessRules": [
{}
],
"publicAccessRulesEnabled": true,
"publicTitle": "<string>",
"slug": "<string>",
"translatedFromId": "<string>",
"updated": "2023-11-07T05:31:56Z"
},
"updatedAt": "2023-11-07T05:31:56Z",
"user": {
"email": "<string>",
"fullName": "<string>",
"id": "<string>"
}
}
],
"total": 123,
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
},
"prev": {
"before": "<string>",
"link": "<string>"
}
}
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
The maximum number of results to display per page.
Was this page helpful?